ZPOOL-INITIALIZE(8)

NAME
zpool-initialize - write to unallocated regions of ZFS storage pool

SYNOPSIS
zpool initialize [-c|-s] [-w] pool [device]…

DESCRIPTION
Begins initializing by writing to all unallocated regions on the specified devices, or all eligible devices in the pool if no individual devices are specified. Only leaf data or log devices may be initialized.

-c, --cancel
    Cancel initializing on the specified devices, or all eligible devices if none are specified. If one or more target devices are invalid or are not currently being initialized, the command will fail and no cancellation will occur on any device.

-s, --suspend
    Suspend initializing on the specified devices, or all eligible devices if none are specified. If one or more target devices are invalid or are not currently being initialized, the command will fail and no suspension will occur on any device. Initializing can then be resumed by running zpool initialize with no flags on the relevant target devices.

-w, --wait
    Wait until the devices have finished initializing before returning.

SEE ALSO
zpool-add(8), zpool-attach(8), zpool-create(8), zpool-online(8), zpool-replace(8), zpool-trim(8)